=== debian/changelog ===
ccache (4.7.2-1) unstable; urgency=medium

  * New upstream release 4.7.2 (closes: #1022704)

 -- Joel Rosdahl <joel@debian.org>  Sat, 29 Oct 2022 16:52:18 +0200

ccache (4.7.1-1) unstable; urgency=medium

  * New upstream release 4.7.1

 -- Joel Rosdahl <joel@debian.org>  Sun, 23 Oct 2022 20:20:24 +0200

ccache (4.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Joel Rosdahl ]
  * New upstream release 4.7
  * Bump Standards-Version to 4.6.1 with no changes
  * Update Debian-specific documentation patch
  * Update debian/copyright

 -- Joel Rosdahl <joel@debian.org>  Tue, 18 Oct 2022 21:43:05 +0200
