## ccache 4.7.3

=== debian/changelog ===
ccache (4.7.3-1) unstable; urgency=medium

  * New upstream release 4.7.3

 -- Joel Rosdahl <joel@debian.org>  Sat, 05 Nov 2022 22:29:17 +0100
