## ccache 4.7.4

=== debian/changelog ===
ccache (4.7.4-1) unstable; urgency=medium

  * New upstream release 4.7.4

 -- Joel Rosdahl <joel@debian.org>  Mon, 21 Nov 2022 20:40:46 +0100
