=== src/core/CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,11 @@
   sources
   CacheEntry.cpp
   Manifest.cpp
+  MsvcShowIncludesOutput.cpp
   Result.cpp
   ResultExtractor.cpp
   ResultInspector.cpp
   ResultRetriever.cpp
-  MsvcShowIncludesOutput.cpp
   Statistics.cpp
   StatisticsCounters.cpp
   StatsLog.cpp
