=== debian/changelog ===
ccache (4.8+really4.7.5-1) unstable; urgency=medium

  * New upstream release 4.7.5, fixing an issue with hanging processes by
    a small change of a default setting compared to version 4.7.4
    (closes: #1033191)

 -- Joel Rosdahl <joel@debian.org>  Thu, 23 Mar 2023 08:39:58 +0100

ccache (4.8-1) unstable; urgency=medium

  * New upstream release 4.8, which fixes an issue with hanging processes

 -- Joel Rosdahl <joel@debian.org>  Sun, 19 Mar 2023 10:32:54 +0100
