## ccache 4.8.2

=== debian/changelog ===
ccache (4.8.2-1) unstable; urgency=medium

  * New upstream release 4.8.2

 -- Joel Rosdahl <joel@debian.org>  Sun, 23 Jul 2023 09:17:51 +0200
