## ccache 4.8.3

=== debian/changelog ===
ccache (4.8.3-1) unstable; urgency=medium

  * New upstream release 4.8.3

 -- Joel Rosdahl <joel@debian.org>  Sat, 16 Sep 2023 12:46:26 +0200
