## ccache 4.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -66,11 +66,13 @@
   set(CMAKE_INTERPROCEDURAL_OPTIMIZATION ON)
 endif()
 
+include(CIBuildType)
+include(DefaultBuildType)
 include(UseFastestLinker)
+include(StaticLinkSupport)
 include(StandardSettings)
 include(StandardWarnings)
-include(CIBuildType)
-include(DefaultBuildType)
+include(EnableCcache)
 
 #
 # Configuration
@@ -81,41 +83,24 @@
 include(GenerateVersionFile)
 
 #
-# Static link configuration
+# Third party
 #
 
-set(STATIC_LINK_DEFAULT OFF)
-if(WIN32)
-  set(STATIC_LINK_DEFAULT ON)
+set(ZSTD_FROM_INTERNET AUTO CACHE STRING "Download and use libzstd from the Internet")
+set_property(CACHE ZSTD_FROM_INTERNET PROPERTY STRINGS AUTO ON OFF)
+
+set(HIREDIS_FROM_INTERNET AUTO CACHE STRING "Download and use libhiredis from the Internet")
+set_property(CACHE HIREDIS_FROM_INTERNET PROPERTY STRINGS AUTO ON OFF)
+
+option(
+  OFFLINE "Do not download anything from the internet"
+  "$(FETCHCONTENT_FULLY_DISCONNECTED}"
+)
+if(OFFLINE)
+  set(FETCHCONTENT_FULLY_DISCONNECTED ON)
+  set(ZSTD_FROM_INTERNET OFF)
+  set(HIREDIS_FROM_INTERNET OFF)
 endif()
-
-option(STATIC_LINK "Prefer linking libraries statically" ${STATIC_LINK_DEFAULT})
-
-if(STATIC_LINK)
-  list(INSERT CMAKE_FIND_LIBRARY_SUFFIXES 0 "${CMAKE_STATIC_LIBRARY_SUFFIX}")
-  set(CMAKE_LINK_SEARCH_START_STATIC ON)
-
-  # Link MSVC runtime statically.
-  if(MSVC)
-    set(CMAKE_MSVC_RUNTIME_LIBRARY "MultiThreaded$<$<CONFIG:Debug>:Debug>")
-  # Link MINGW runtime statically.
-  elseif(WIN32)
-    if((CMAKE_CXX_COMPILER_ID STREQUAL GNU) OR (CMAKE_CXX_COMPILER_ID STREQUAL Clang))
-      list(APPEND CCACHE_EXTRA_LIBS -static-libgcc -static-libstdc++ -static -lwinpthread -dynamic)
-    endif()
-    if(CMAKE_CXX_COMPILER_ID STREQUAL Clang)
-      list(APPEND CCACHE_EXTRA_LIBS -fuse-ld=lld)
-    endif()
-  endif()
-endif()
-
-#
-# Third party
-#
-option(ZSTD_FROM_INTERNET
-  "Download and use libzstd from the Internet if not available" ON)
-option(HIREDIS_FROM_INTERNET
-  "Download and use libhiredis from the Internet if not available" ON)
 
 find_package(zstd 1.1.2 MODULE REQUIRED)
