=== src/util/CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,25 @@
 set(
   sources
   Bytes.cpp
+  DirEntry.cpp
   LockFile.cpp
+  LongLivedLockFileManager.cpp
+  TemporaryFile.cpp
   TextTable.cpp
+  ThreadPool.cpp
   TimePoint.cpp
   Tokenizer.cpp
+  UmaskScope.cpp
+  assertions.cpp
+  environment.cpp
+  error.cpp
   file.cpp
+  filesystem.cpp
+  logging.cpp
   path.cpp
+  process.cpp
   string.cpp
+  time.cpp
   zstd.cpp
 )
