=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joel Rosdahl <joel@debian.org>
 Build-Depends: debhelper-compat (= 13), elfutils, cmake, libzstd-dev, libhiredis-dev (>= 0.14.1), asciidoctor
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://ccache.dev
 Vcs-Browser: https://salsa.debian.org/debian/ccache
 Vcs-Git: https://salsa.debian.org/debian/ccache.git
