## ccache 4.10.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -66,6 +66,7 @@
   set(CMAKE_INTERPROCEDURAL_OPTIMIZATION ON)
 endif()
 
+include(Utils)
 include(CIBuildType)
 include(DefaultBuildType)
 include(UseFastestLinker)
@@ -78,37 +79,13 @@
 # Configuration
 #
 
+option(REDIS_STORAGE_BACKEND "Enable Redis remote storage" ON)
+option(ENABLE_TESTING "Enable tests" ON)
+
 include(InstallDirs)
 include(GenerateConfigurationFile)
 include(GenerateVersionFile)
-
-#
-# Third party
-#
-
-set(ZSTD_FROM_INTERNET AUTO CACHE STRING "Download and use libzstd from the Internet")
-set_property(CACHE ZSTD_FROM_INTERNET PROPERTY STRINGS AUTO ON OFF)
-
-set(HIREDIS_FROM_INTERNET AUTO CACHE STRING "Download and use libhiredis from the Internet")
-set_property(CACHE HIREDIS_FROM_INTERNET PROPERTY STRINGS AUTO ON OFF)
-
-option(
-  OFFLINE "Do not download anything from the internet"
-  "$(FETCHCONTENT_FULLY_DISCONNECTED}"
-)
-if(OFFLINE)
-  set(FETCHCONTENT_FULLY_DISCONNECTED ON)
-  set(ZSTD_FROM_INTERNET OFF)
-  set(HIREDIS_FROM_INTERNET OFF)
-endif()
-
-find_package(zstd 1.1.2 MODULE REQUIRED)
-
-option(REDIS_STORAGE_BACKEND "Enable Redis remote storage" ON)
-
-if(REDIS_STORAGE_BACKEND)
-  find_package(hiredis 0.13.3 MODULE REQUIRED)
-endif()
+include(Dependencies)
 
 #
 # Special flags
@@ -117,17 +94,17 @@
 # doesn't get scanned.
 #
 include(CodeAnalysis)
-option(ENABLE_TRACING "Enable possibility to use internal ccache tracing" OFF)
 
 #
 # Source code
 #
-add_subdirectory(src)
+add_subdirectory(src/third_party)
+add_subdirectory(src/ccache)
 
 #
 # ccache executable
 #
-add_executable(ccache src/main.cpp)
+add_executable(ccache src/ccache/main.cpp)
 target_link_libraries(ccache PRIVATE standard_settings standard_warnings ccache_framework)
 
 #
@@ -151,16 +128,12 @@
 #
 # Tests
 #
-option(ENABLE_TESTING "Enable tests" ON)
 if(ENABLE_TESTING)
   enable_testing()
   add_subdirectory(unittest)
   add_subdirectory(test)
 
-  # Note: VERSION_GREATER_EQUAL requires CMake 3.17
-  if(NOT ${CMAKE_VERSION} VERSION_LESS "3.17")
-    list(APPEND CMAKE_CTEST_ARGUMENTS "--output-on-failure")
-  endif()
+  list(APPEND CMAKE_CTEST_ARGUMENTS "--output-on-failure")
 
   # Add "check" target which compiles and runs tests.
   set(
@@ -192,3 +165,17 @@
   COMMENT "Checking code formatting"
   USES_TERMINAL
   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
+
+#
+# Configuration summary
+#
+
+message(STATUS)
+message(STATUS "Configuration summary:")
+message(STATUS "  Storage backends:")
+message(STATUS "    file  ON")
+message(STATUS "    http  ON")
+message(STATUS "    redis ${REDIS_STORAGE_BACKEND}")
+message(STATUS "  Dependencies:")
+print_dependency_summary("    ")
+message(STATUS)
