=== src/third_party/cpp-httplib/CMakeLists.txt ===
register_dependency(CppHttplib BUNDLED 0.15.3)
add_header_only_library(cpphttplib DIR "${CMAKE_CURRENT_SOURCE_DIR}")
