=== debian/changelog ===
ccache (4.10.2-1build1) plucky; urgency=medium

  * Rebuild against latest fmtlib

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 13 Nov 2024 10:06:17 -0500

ccache (4.10.2-1) unstable; urgency=medium

  * New upstream release 4.10.2

 -- Joel Rosdahl <joel@debian.org>  Mon, 22 Jul 2024 20:56:29 +0200
