=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,11 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	$(RM) debian/ccache.triggers
+
+override_dh_auto_configure:
+	dh_auto_configure -- \
+	  -D DEPS=LOCAL \
+	  -D DEP_CPPHTTPLIB=BUNDLED
 
 override_dh_install:
 	dh_install
