=== debian/changelog ===
ccache (4.11.2-2) unstable; urgency=medium

  * Apply upstream patch for stderr output in test suite (closes: #1103590)

 -- Joel Rosdahl <joel@debian.org>  Sun, 20 Apr 2025 09:30:19 +0200

ccache (4.11.2-1) unstable; urgency=medium

  * New upstream release 4.11.2
  * Update copyright for new version

 -- Joel Rosdahl <joel@debian.org>  Sat, 22 Mar 2025 14:26:46 +0100
