=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Joel Rosdahl <joel@debian.org>
-Build-Depends: debhelper-compat (= 13), elfutils, cmake, libzstd-dev, libhiredis-dev (>= 0.14.1), asciidoctor
-Standards-Version: 4.6.2
+Build-Depends: asciidoctor, cmake, debhelper-compat (= 13), doctest-dev (>= 2.4.6), elfutils, libexpected-dev (>= 1.1.0), libfmt-dev (>= 8.0.0), libhiredis-dev (>= 0.14.1), libxxhash-dev (>= 0.8.0), libzstd-dev (>= 1.3.4)
+Standards-Version: 4.7.0
 Homepage: https://ccache.dev
 Vcs-Browser: https://salsa.debian.org/debian/ccache
 Vcs-Git: https://salsa.debian.org/debian/ccache.git
