=== debian/watch ===
version=4
https://github.com/ccache/ccache/releases .*/ccache-([\d.]*)\.tar\.xz
