## ccache 4.11.3

=== debian/changelog ===
ccache (4.11.3-1) unstable; urgency=medium

  * New upstream release 4.11.3 (closes: #1112767)
  * Drop obsolete patch
  * Bump to Standards-Version 4.7.2 with no changes

 -- Joel Rosdahl <joel@debian.org>  Mon, 01 Sep 2025 21:55:06 +0200
