=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joel Rosdahl <joel@debian.org>
 Build-Depends: asciidoctor, cmake, debhelper-compat (= 13), doctest-dev (>= 2.4.6), elfutils, libexpected-dev (>= 1.1.0), libfmt-dev (>= 8.0.0), libhiredis-dev (>= 0.14.1), libxxhash-dev (>= 0.8.0), libzstd-dev (>= 1.3.4)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://ccache.dev
 Vcs-Browser: https://salsa.debian.org/debian/ccache
 Vcs-Git: https://salsa.debian.org/debian/ccache.git
