## ccache 4.12

=== debian/changelog ===
ccache (4.12-1) unstable; urgency=medium

  * New upstream release 4.12

 -- Joel Rosdahl <joel@debian.org>  Thu, 18 Sep 2025 21:34:33 +0200
