=== unittest/CMakeLists.txt ===
--- 
+++ 
@@ -1,45 +1,47 @@
 set(
   source_files
-  TestUtil.cpp
   main.cpp
-  test_Args.cpp
-  test_Config.cpp
-  test_Depfile.cpp
-  test_Hash.cpp
   test_argprocessing.cpp
   test_ccache.cpp
   test_compopt.cpp
   test_compression_types.cpp
-  test_core_AtomicFile.cpp
-  test_core_MsvcShowIncludesOutput.cpp
-  test_core_Statistics.cpp
-  test_core_StatisticsCounters.cpp
-  test_core_StatsLog.cpp
+  test_config.cpp
+  test_core_atomicfile.cpp
   test_core_common.cpp
+  test_core_msvcshowincludesoutput.cpp
+  test_core_statistics.cpp
+  test_core_statisticscounters.cpp
+  test_core_statslog.cpp
+  test_depfile.cpp
+  test_hash.cpp
   test_hashutil.cpp
-  test_storage_local_StatsFile.cpp
+  test_storage_local_statsfile.cpp
   test_storage_local_util.cpp
-  test_util_BitSet.cpp
-  test_util_Bytes.cpp
-  test_util_DirEntry.cpp
-  test_util_Duration.cpp
-  test_util_LockFile.cpp
-  test_util_TextTable.cpp
-  test_util_TimePoint.cpp
-  test_util_Tokenizer.cpp
-  test_util_XXH3_128.cpp
-  test_util_XXH3_64.cpp
+  test_util_args.cpp
+  test_util_bitset.cpp
+  test_util_bytes.cpp
+  test_util_clang.cpp
   test_util_conversion.cpp
+  test_util_direntry.cpp
+  test_util_duration.cpp
   test_util_environment.cpp
+  test_util_exec.cpp
   test_util_expected.cpp
   test_util_file.cpp
+  test_util_lockfile.cpp
   test_util_path.cpp
   test_util_string.cpp
+  test_util_texttable.cpp
+  test_util_timepoint.cpp
+  test_util_tokenizer.cpp
+  test_util_xxh3_128.cpp
+  test_util_xxh3_64.cpp
   test_util_zstd.cpp
+  testutil.cpp
 )
 
 if(INODE_CACHE_SUPPORTED)
-  list(APPEND source_files test_InodeCache.cpp)
+  list(APPEND source_files test_inodecache.cpp)
 endif()
 
 if(WIN32)
