=== debian/changelog ===
ccache (4.12.1-1) unstable; urgency=medium

  * New upstream release 4.12.1
  * Mark ccache as "Multi-Arch: foreign" (closes: #1116707)

 -- Joel Rosdahl <joel@debian.org>  Wed, 01 Oct 2025 21:21:39 +0200
