=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 Package: ccache
 Architecture: any
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: distcc | icecc
 Description: Compiler cache for fast recompilation of C/C++ code
