=== debian/tests/control ===
Tests: run-testsuites
Depends: binutils, ccache, elfutils, gcc, libc-dev
